# -*- coding: utf-8 -*-
"""
Created 05.03.2022

@author: Kenan
"""

import numpy as np

from itertools import permutations


def get_color_pattern(color_array):
    # define color patterns
    color_pattern_01 = np.array([1, 2, 3])
    color_pattern_50 = np.array([4, 5, 6])
    color_pattern_70 = np.array([7, 8, 9])
    
    list_color_patterns = np.vstack((color_pattern_01, color_pattern_50, color_pattern_70))
    # check which cp is detected
    for cp in list_color_patterns:
        # create permutations
        perms = np.array(list(permutations(cp, len(cp)))) # 6 permutations for 3 numbers: nPr(3,3)
        #print("perm: ", perms)
        # check if one of the permutations is included
        for permutation in perms:
            if np.array_equal(permutation, color_array):
                print(cp)
                break # end loop if found, for performance
    

# dritter wert ist farbe von led

points = np.array([[1,3,7],
                   [2,4,8],
                   [2,4,9]])

color_array = points[:,2]

get_color_pattern(color_array)

